API

London Stock Exchange News API

London Stock Exchange multilateral trading facility within the LSE market structure, supporting securities admitted to trading outside the main regulated market.

API Reference Version: 1.0.0 3 Endpoints Authentication
London Stock Exchange MTF

Base URL

https://api.pressmonitor.fr

Authentication

All requests use Bearer token authentication. Add the Authorization header to every call.

Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Get News Headlines

Parameters

Name Type Location Required Description
code string query Yes Entity code (e.g., ticker symbol, industry code)
lang_code string query No Filter by language code (ISO 639-1)
country_code string query No Filter by country code (ISO 3166-1 alpha-2)
count integer query No Number of results to return
cursor string query No Pagination cursor (alternative to search_after)
sort string query No Sort order (date or relevance)
date_from string query No Start date for news (YYYY-MM-DD format)
date_to string query No End date for news (YYYY-MM-DD format)

Code Examples

curl -X GET "https://api.pressmonitor.fr/headlines?code=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success
GET /briefs

Get News Briefs

Parameters

Name Type Location Required Description
code string query Yes Entity code (e.g., ticker symbol, industry code)
lang_code string query No Filter by language code (ISO 639-1)
country_code string query No Filter by country code (ISO 3166-1 alpha-2)
count integer query No Number of results to return
cursor string query No Pagination cursor (alternative to search_after)
sort string query No Sort order (date or relevance)
date_from string query No Start date for news (YYYY-MM-DD format)
date_to string query No End date for news (YYYY-MM-DD format)

Code Examples

curl -X GET "https://api.pressmonitor.fr/briefs?code=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success
GET /fulltext

Get Full-Text News

Parameters

Name Type Location Required Description
code string query Yes Entity code (e.g., ticker symbol, industry code)
lang_code string query No Filter by language code (ISO 639-1)
country_code string query No Filter by country code (ISO 3166-1 alpha-2)
count integer query No Number of results to return
cursor string query No Pagination cursor (alternative to search_after)
sort string query No Sort order (date or relevance)
date_from string query No Start date for news (YYYY-MM-DD format)
date_to string query No End date for news (YYYY-MM-DD format)

Code Examples

curl -X GET "https://api.pressmonitor.fr/fulltext?code=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success